import dbus, dbus.service, gobject, threading
from dbus.mainloop.glib import DBusGMainLoop
from dbus.service import method, signal

# This and a few other snippets give a much richer plugin API with DBus
#######################################################################
# start dbus main loop
DBusGMainLoop(set_as_default=True)

# set some dbus options
DBUS_BUSNAME = "org.dosprompt.DOSprompt"
DBUS_IFACE = 'org.dosprompt.DOSpromptSync'
DBUS_PATH = '/org/dosprompt/DOSprompt/PluginSync'

class ExampleObject(dbus.service.Object):

    @method(dbus_interface=DBUS_IFACE, in_signature="s")
    def set_title(self, prompt='nochange'):
        print prompt
        return 'title set to %s' % prompt

session_bus = dbus.SessionBus()
busname = dbus.service.BusName(DBUS_BUSNAME, bus=session_bus)
eo = ExampleObject(object_path=DBUS_PATH, bus_name=busname)

loop = gobject.MainLoop()

#######################################################################

def start():
    loop.run()
    
def stop():
    loop.quit()
