from lang import control

class main(control.langset):
    def __init__(self):
        self.strings = {
            'importerror': "Uh oh, it looks like you are missing one of the python modules I need...\nMaybe this error message will help: ",
            'not_found': "No such file or directory", # the message displayed when a command is not found
            'plugindexing': "Updating plugin list...",
            'about_dosprompt': """DOSprompt is a project that was started in 2010 as a tiny set of shell scripts
Since then it has developed into a complex, pluggable python project
DOSprompt's goal is to provide windows sysadmins a comfortable command-line interface to linux.
It is open-source, and licenced with the GPL.
You can learn how to develop your own plugin by running 'dosp developer'""",
            'dosp_help': """Yep, this is DOSprompt, and 'dosp' is its controller command.
These are the options for it:
 lsplugins - list available plugins (windows commands)
 plugindex - update the plugin list (useful if you just added one)
 developer - enable features that make it easier to help develop DOSprompt
 mkplugin  - Get started making a plugin for DOSprompt
As with everything at this stage, there is more on the way!""",
            'yesses': ['y', 'yes', 'yeah', 'yup'], # a list of as many things as possible that could mean yes (all lowercase)
            'dosp_mkplugin_help': """This command is used to start making a plugin for DOSprompt
  run 'dosp mkplugin [pluginname]'
to get started"""
            }    
    

class prompt(control.langset):
    def __init__(self):
        self.strings = {'help': """PROMPT sets the command-line prompt.

The string following the PROMPT command (and the space immediately after)
appears at the beginning of the line when cmd is waiting for input.

The following character strings have the special meaning shown:

$$    Dollar sign         $_    Linefeed            $b    Pipe sign (|)
$d    Current date        $e    Escape              $g    > sign
$l    < sign              $n    Current drive       $p    Current path
$q    Equal sign          $t    Current time        $v    cmd version

Note that entering the PROMPT command without a prompt-string resets the
prompt to the default, which is the current directory (which includes the
current drive letter) followed by a greater-than (>) sign.
(like a command PROMPT $p$g).

The prompt can also be changed by altering the PROMPT environment variable,
so the command 'SET PROMPT=text' has the same effect as 'PROMPT text'"""}
    
    

class color(control.langset):
    def __init__(self):
        self.strings = {'help': """Sets the default console foreground and background colors.

COLOR [attr]

  attr        Specifies color attribute of console output

Color attributes are specified by TWO hex digits -- the first
corresponds to the background; the second the foreground.  Each digit
can be any of the following values:

    0 = Black       8 = Gray
    1 = Blue        9 = Light Blue
    2 = Green       A = Light Green
    3 = Aqua        B = Light Aqua
    4 = Red         C = Light Red
    5 = Purple      D = Light Purple
    6 = Yellow      E = Light Yellow
    7 = White       F = Bright White

If no argument is given, this command restores the color to what it was
when CMD.EXE started.  This value either comes from the current console
window, the /T command line switch or from the DefaultColor registry
value."
read -s -e -p "Press any key to continue..." -n 1
echo "The COLOR command sets ERRORLEVEL to 1 if an attempt is made to execute
the COLOR command with a foreground and background color that are the
same.

Example: \"COLOR fc\" produces light red on bright white
NOTE: letters do not work yet"""}
